Adobe won't patch latest PDF zero-day until Jan. 12

Public exploit already available, portends widespread attacks soon

Adobe won't patch the newest critical vulnerability in its PDF viewing and editing software for another four weeks, even though attack code has been publicly released.

In an update yesterday to the security advisory it issued Tuesday, Adobe set the patch date as Jan. 12, 2010, which is also the next regularly-scheduled quarterly security update for Adobe Reader and Adobe Acrobat. Most of the advisory was dedicated to confirming the bug -- which the company had first disclosed late Monday -- and providing instructions for blacklisting the JavaScript API call that contains the flaw.

Other security experts have urged users to disable JavaScript in Reader and Acrobat to protect themselves until Adobe ships a fix.

Adobe's plan to patch next month means that most users will be at risk until then, as researchers have already crafted a working, if not always reliable, exploit for the vulnerability.

HD Moore, the creator of the open-source Metasploit penetration testing framework, and chief security officer for security company Rapid7, said yesterday that he had worked up attack code for the Reader/Acrobat zero-day bug. "We managed to get the exploit sorted out faster than I thought," said Moore in an e-mail to Computerworld yesterday. "It's now available through the online update feature of Metasploit."

He also announced the exploit module's availability via his Twitter feed.

The exploit is not 100% reliable, however. In a reply to a tweet asking why the Metasploit exploit module wasn't working for one user, Moore explained: "tricky bug and some non-english locale's overlap with the heap spray, we should have an update soon."

Unlike other penetration testing frameworks -- such as CANVAS, which is developed by Miami Beach-based Immunity -- the open-source Metasploit doesn't charge for its exploits. That lets hackers, as well as legitimate security researchers, get their hands on working attack code.

The appearance of an exploit on Metasploit increases the chance that widespread attacks will begin, said Joshua Talbot, a security intelligence manager in Symantec's security response team. "An exploit in Metasploit lets hackers build on that code," said Talbot, referring to the leg-up attackers receive from Moore's work.

For his part, Moore defended Metasploit's practice of providing working exploits to anyone. "Since the bug is 1) public and 2) widely exploited, we feel that adding an exploit module is the right thing to do, as it provides a safe way for folks to verify that their mitigation efforts actually work," Moore said in a Tuesday e-mail.

Hackers are already exploiting the Adobe bug in the wild, said Symantec's Talbot, although the volume of attacks remains low and the campaign has targeted a relatively small number of people. Those users have received e-mail messages with attached PDF files masquerading as briefing notes or interview requests from the CNN cable news channel. According to the Contagio malware dump Web site, which posted several examples of attack messages, the Adobe bug has been actively exploited since at least Nov. 30.

The targeted attacks have used the Reader/Acrobat vulnerability to drop information-stealing malware onto victims' PCs, said Symantec in its technical write-up of the attack code.

When it issues the update next month, Adobe will post it to its security support site.

Gregg Keizer covers Microsoft, security issues, Apple, Web browsers and general technology breaking news for Computerworld. Follow Gregg on Twitter @gkeizer, send e-mail at gkeizer@ix.netcom.com or subscribe to Gregg's RSS feed .

FREE Computerworld Insider Guide: IT Certification Study Tips
Editors' Picks
Join the discussion
Be the first to comment on this article. Our Commenting Policies